Package x2go :: Module checkhosts :: Class X2GoMissingHostKeyPolicy

[frames] | no frames]

# Class X2GoMissingHostKeyPolicy

source code

                       object --+
                                |
    paramiko.MissingHostKeyPolicy --+
                                    |
                                   X2GoMissingHostKeyPolicy

Known Subclasses:
  - X2GoAutoAddPolicy
  - , X2GoInteractiveAddPolicy

Skeleton class for Python X2Go's missing host key policies.

Instance Methods

__init__(self, caller=None, session_instance=None, fake_hostname=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

`X2GoControlSession*` instance

get_client(self) Retrieve the Paramiko SSH/Client. | source code

`str`

get_hostname(self) Retrieve the server hostname:port expression of the server to be validated. | source code

`str`

get_hostname_name(self) Retrieve the server hostname string of the server to be validated. | source code

`str`

get_hostname_port(self) Retrieve the server port of the server to be validated. | source code

Paramiko/SSH key instance

get_key(self) Retrieve the host key of the server to be validated. | source code

`str`

get_key_name(self) Retrieve the host key name of the server to be validated. | source code

`str`

get_key_fingerprint(self) Retrieve the host key fingerprint of the server to be validated. | source code

`str`

get_key_fingerprint_with_colons(self) Retrieve the (colonized) host key fingerprint of the server to be validated. | source code

Inherited from `paramiko.MissingHostKeyPolicy`: `missing_host_key` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, caller=None, session_instance=None, fake_hostname=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `caller` (`class`) - calling instance
  - `session_instance` (X2GoSession instance) - an X2Go session instance
Overrides: object.__init__

### get_client(self)

source code

Retrieve the Paramiko SSH/Client.

Returns: `X2GoControlSession*` instance
  the associated X2Go control session instance.

### get_hostname(self)

source code

Retrieve the server hostname:port expression of the server to be validated.

Returns: `str`
  hostname:port

### get_hostname_name(self)

source code

Retrieve the server hostname string of the server to be validated.

Returns: `str`
  hostname

### get_hostname_port(self)

source code

Retrieve the server port of the server to be validated.

Returns: `str`
  port

### get_key(self)

source code

Retrieve the host key of the server to be validated.

Returns: Paramiko/SSH key instance
  host key

### get_key_name(self)

source code

Retrieve the host key name of the server to be validated.

Returns: `str`
  host key name (RSA, DSA, ...)

### get_key_fingerprint(self)

source code

Retrieve the host key fingerprint of the server to be validated.

Returns: `str`
  host key fingerprint

### get_key_fingerprint_with_colons(self)

source code

Retrieve the (colonized) host key fingerprint of the server to be validated.

Returns: `str`
  host key fingerprint (with colons)